Package org.eclipse.rdf4j.sparqlbuilder.rdf

## Class RdfLiteral.StringLiteral

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.rdf.RdfLiteral<String>
  - - org.eclipse.rdf4j.sparqlbuilder.rdf.RdfLiteral.StringLiteral

- All Implemented Interfaces:
    `Operand`, `QueryElement`, `RdfObject`, `RdfValue`
  Enclosing class:
    RdfLiteral<T>

      public static class RdfLiteral.StringLiteral
      extends RdfLiteral<String>

  Represents an RDF string literal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.sparqlbuilder.rdf.RdfLiteral

      `RdfLiteral.BooleanLiteral, RdfLiteral.NumericLiteral, RdfLiteral.StringLiteral`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.rdf.RdfLiteral

      `value`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getQueryString()` |
    `RdfLiteral.StringLiteral` | `ofLanguage​(String languageTag)` |
    `RdfLiteral.StringLiteral` | `ofType​(IRI dataType)` |
    `RdfLiteral.StringLiteral` | `ofType​(Iri dataType)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.rdf.RdfLiteral

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### ofType

          public RdfLiteral.StringLiteral ofType​(Iri dataType)

    - #### ofType

          public RdfLiteral.StringLiteral ofType​(IRI dataType)

    - #### ofLanguage

          public RdfLiteral.StringLiteral ofLanguage​(String languageTag)

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Overrides:
        `getQueryString` in class `RdfLiteral<String>`
      Returns:
        the String representing the SPARQL syntax of this element